Extending Qt Creator Manual | MessageManager

Extending Qt Creator Manual 4.4.0

# MessageManager Class

(Core::MessageManager)

- List of all members, including inherited members

## Public Types

enum | PrintToOutputPaneFlag { NoModeSwitch, ModeSwitch, WithFocus, EnsureSizeHint, Silent, Flash }
flags | PrintToOutputPaneFlags

## Public Slots

void | write(const QString &text, Core::MessageManager::PrintToOutputPaneFlags flags = NoModeSwitch)

## Static Public Members

MessageManager * | instance()
void | showOutputPane()

## Member Type Documentation

### enum MessageManager::PrintToOutputPaneFlag
flags MessageManager::PrintToOutputPaneFlags

The PrintToOutputPaneFlags type is a typedef for QFlags<PrintToOutputPaneFlag>. It stores an OR combination of PrintToOutputPaneFlag values.

## Member Function Documentation

### `[static]` MessageManager *MessageManager::instance()

### `[static]` void MessageManager::showOutputPane()

### `[static slot]` void MessageManager::write(const QString &text, Core::MessageManager::PrintToOutputPaneFlags flags = NoModeSwitch)